POST/me/dataviews.json

Create a new data view

Creates a new data view (saved filter) for the current user, or for another user when acting as an owner-company admin.

Body Params

    • Name
      dataView
      Type
      object
    • Name
      get
      Type
      string
      Description
      Comma-separated list of related data to include in the response (e.g. "dataView").

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      The Created Data View
    • Code
      400
      Type
      object
      Schema
      Description
      Invalid Parameters E G Missing Data View Missing Title On A Non Temporary View Or Is Project Specific Not Matching Project Id
    • Code
      422
      Type
      object
      Schema
      Description
      Business Rule Error While Creating The Data View E G View Name Already Taken View Name Too Long Permission Denied This Is The Default Status Code Returned By The Underlying Error Helper For Errors That Dont Set An Explicit Status Code

    Examples

    The created data view.

    {
      "STATUS": "OK",
      "id": "12345",
      "dataView": {
        "id": "12345",
        "title": "string",
        "description": "string",
        "isTemporary": true,
        "isDefault": true,
        "isProjectSpecific": true,
        "userId": "string",
        "projectId": "string",
        "dataType": "tasks",
        "displayMode": "string",
        "sortBy": "string",
        "sortOrder": "string",
        "deleted": true,
        "dateCreated": "2026-08-10T21:25:01.819Z",
        "dateUpdated": "2026-08-10T21:25:01.819Z",
        "dateDeleted": "string",
        "displaySettings": {},
        "canEdit": true,
        "sharedWith": {
          "users": "string",
          "companies": "string",
          "teams": "string"
        }
      }
    }